SlackBuilds Repository

14.2 > Development > python3-matplotlib (1.5.2)

Matplotlib strives to produce publication quality 2D graphics for
interactive graphing, scientific publishing, user interface
development and web application servers targeting multiple user
interfaces and hardcopy output formats. The 'pylab' mode
of ipython uses matplotlib to emulate matlab graphics.

This is the Python 3 version of matplotlib and can coexist with
SBo's matplotlib package.

NOTES: 1 - If you want to enable the optional subpackages tests
and toolkits_tests you need to install Python 3
versions of nose and mock before matplotlib. THESE
AREN'T YET AVAILABLE AS SLACKBUILDS!
To enable the above mentioned subpackages you have to
set the variables DISABLE_TESTS and DISABLE_TK_TESTS
respectively to "no".
toolkits_tests doesn't get installed, if test and/or
toolkits are disabled. The installation of toolkits is
done automatically.

2 - pytz dependency must be compiled with Python 3 support.

This requires: numpy3, pytz, python3-pyparsing, python3-tornado, python3-dateutil, python3-cycler

Maintained by: Serban Udrea
Keywords: Python,2D plotting,math
ChangeLog: python3-matplotlib

Homepage:
https://matplotlib.org/

Source Downloads:
matplotlib-1.5.2.tar.gz (66f35e55cc15455eb37b415ae51f1e51)

Download SlackBuild:
python3-matplotlib.tar.gz
python3-matplotlib.tar.gz.asc (FAQ)

(the SlackBuild does not include the source)

Validated for Slackware 14.2

See our HOWTO for instructions on how to use the contents of this repository.

Access to the repository is available via:
ftp git cgit http rsync

© 2006-2018 SlackBuilds.org Project. All rights reserved.
Slackware® is a registered trademark of Patrick Volkerding
Linux® is a registered trademark of Linus Torvalds
Web Design by WebSight Designs |  Managed Hosting by OnyxLight Communications